% SCRIPT DI INIZIALIZZAZIONE PARAMETRI PER LEVITATORE MAGNETICO

m=[];
R=[];
L1=[];
C=[];

g=9.80665;

while isempty(m) 
    m = input('Inserire l''ultima cifra del proprio numero di matricola (se 0 -> 5):\n\n');
end

m = m/100;

text=sprintf('\nMassa della sfera: %1.2f kg\n',m); disp(text);

while isempty(R) 
    R = input('Inserire le prime due cifre (esclusi zeri) del proprio numero di matricola:\n\n');
end


text=sprintf('\nResistenza dell''elettromagnete: %2.0f ohm\n',R); disp(text);

while isempty(L1) 
    L1 = input('Inserire la penultima cifra del proprio numero di matricola (se 0 -> 4):\n\n');
end

L1 = L1/10;

text=sprintf('\nResistenza dell''elettromagnete: %1.1f H\n',L1); disp(text);

while isempty(C) 
    C = input('Inserire le ultime due cifre (esclusi zeri) del proprio numero di matricola:\n\n');
end

C = C * 1e-5;

text=sprintf('\nCostante forza elettromagnetica: %1.5f Nm^2A^2\n',C); disp(text);


%CONDIZIONI INIZIALI:
x1_0 = 0.1;
x2_0 = 0;
x3_0 = 0.2;

text=sprintf('\nCondizioni iniziali: posizione (x1_0) = %1.2f m, velocita'' (x2_0) = %1.2f m/s, corrente (x3_0) = %1.2f A\n',x1_0,x2_0,x3_0);
disp(text);

%SET-POINT:
x1_d = 0.05;
x2_d = 0;
x3_d = sqrt(g*m/C)*x1_d;

text=sprintf('\nCondizioni desiderate (set-point): posizione (x1_d) = %1.2f m, velocita'' (x2_d) = %1.2f m/s, corrente (x3_d) = %1.2f A\n',x1_d,x2_d,x3_d);
disp(text);


clear text;