% GRAFICO DI ESEMPIO PER CONFRONTO TRA I CONTROLLORI
% NOTA BENE: provare a modificare il valore di mpert (variazione
% sul valore nominale della massa) di un +/- 5% e rifare i grafici...


figure(1),clf
hold on, grid on
legindex = 0;
%tstepper = 0.1:.1:Tfin;
%stepper = [zeros(1,TstepX*10) StepX*ones(1,(Tfin-TstepX)*10)];
if exist('elq')
    figure(1)
    plot(tlq,elq(:,1),'Linewidth',2.4,'Color',[0 0 1])
    legindex = legindex + 1;
    legcell{legindex}='Controllo LQ';
end
if exist('efuzzy')
    figure(1)
    plot(tfuzzy,efuzzy(:,1),'Linewidth',2.4,'Color',[0.8 0 0])
    legindex = legindex + 1;
    legcell{legindex}='Controllo Fuzzy';
end
if exist('enn')
    figure(1)
    plot(tnn,enn(:,1),'Linewidth',2.4,'Color',[0 0.6 0])
    legindex = legindex + 1;
    legcell{legindex}='Controllo NN';
end
if exist('efl')
    figure(1)
    plot(tfl,-efl(:,1),'Linewidth',2.4,'Color',[0 0.8 0.8])
    legindex = legindex + 1;
    legcell{legindex}='Controllo Sliding Mode';
end

if exist('legcell')
    figure(1)
    legend(legcell)%,'FontSize',15,'FontName','TimesNewRoman')
    title('Controllo di levitatore magnetico: errore di posizione','FontSize',25,'FontName','TimesNewRoman')
    xlabel('time (s)','FontSize',25,'FontName','TimesNewRoman'),ylabel('m','FontSize',25,'FontName','TimesNewRoman')
else close all
end
